Skip to content

Login OTP verification

Deprecated
POST
/api/v2.0/stores/{storeId}/members/{memberId}/login-otp-verification
curl --request POST \
--url https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/login-otp-verification \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "otp_code": 1 }'

Handles the verification of a One-Time Password (OTP) code during the login process.

This endpoint is deprecated and will be removed in future versions. Please use the /otp-verification endpoint with action ‘login’ instead.

storeId
required
string

The store Id

Example
your-store-id
memberId
required
string

The member Id

Example
m_nsr714RRBEHX

Otp code generated previously using the endpoint /login-otp

object
otp_code
integer format: int32
Examplegenerated
{
"otp_code": 1
}

OK

Media typeapplication/json
object
is_ok
boolean
details
string
nullable
Examplegenerated
{
"is_ok": true,
"details": "example"
}

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}